package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrAlarmMapper;
import com.ruoyi.project.pssr.domain.TPssrAlarm;
import com.ruoyi.project.pssr.service.ITPssrAlarmService;

/**
 * 报警联锁值确认Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrAlarmServiceImpl implements ITPssrAlarmService
{
    @Autowired
    private TPssrAlarmMapper tPssrAlarmMapper;

    /**
     * 查询报警联锁值确认
     *
     * @param id 报警联锁值确认ID
     * @return 报警联锁值确认
     */
    @Override
    public TPssrAlarm selectTPssrAlarmById(Long id)
    {
        return tPssrAlarmMapper.selectTPssrAlarmById(id);
    }

    /**
     * 查询报警联锁值确认列表
     *
     * @param tPssrAlarm 报警联锁值确认
     * @return 报警联锁值确认
     */
    @Override
    public List<TPssrAlarm> selectTPssrAlarmList(TPssrAlarm tPssrAlarm)
    {
        return tPssrAlarmMapper.selectTPssrAlarmList(tPssrAlarm);
    }

    /**
     * 新增报警联锁值确认
     *
     * @param tPssrAlarm 报警联锁值确认
     * @return 结果
     */
    @Override
    public int insertTPssrAlarm(TPssrAlarm tPssrAlarm)
    {
        return tPssrAlarmMapper.insertTPssrAlarm(tPssrAlarm);
    }

    /**
     * 修改报警联锁值确认
     *
     * @param tPssrAlarm 报警联锁值确认
     * @return 结果
     */
    @Override
    public int updateTPssrAlarm(TPssrAlarm tPssrAlarm)
    {
        return tPssrAlarmMapper.updateTPssrAlarm(tPssrAlarm);
    }

    /**
     * 批量删除报警联锁值确认
     *
     * @param ids 需要删除的报警联锁值确认ID
     * @return 结果
     */
    @Override
    public int deleteTPssrAlarmByIds(Long[] ids)
    {
        return tPssrAlarmMapper.deleteTPssrAlarmByIds(ids);
    }

    /**
     * 删除报警联锁值确认信息
     *
     * @param id 报警联锁值确认ID
     * @return 结果
     */
    @Override
    public int deleteTPssrAlarmById(Long id)
    {
        return tPssrAlarmMapper.deleteTPssrAlarmById(id);
    }
}
